# $Revision: 1.21 $, $Date: 2002/11/02 20:47:55 $
Summary:	Pingus, a lemmings style game with penguins
Summary(pl):	Gra typu lemmingi z pingwinami w roli gwnej
Name:		pingus
Version:	0.5.0pre3
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dark.x.dtu.dk/~grumbel/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-datadir.patch
Patch1:		%{name}-Clanlib-0.6.1.patch
Patch2:		%{name}-amfix.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-gcc3.patch
Patch5:		%{name}-data-typos.patch
Patch6:		%{name}-info.patch
URL:		http://pingus.seul.org/
BuildRequires:	ClanLib-devel >= 0.6.1
BuildRequires:	Hermes-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel > 1.2.1
BuildRequires:	glib-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libxml-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A cool lemmings game with penguins instead of lemmings!

%description -l pl
Wspaniaa gra typu lemmings z tym, e sterujesz pingwinami!

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="-I/usr/X11R6/include -I/usr/include/libxml2/libxml"
%configure \
	CPPFLAGS="$CPPFLAGS" \
	LDFLAGS="-L/usr/X11R6/lib %{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_bindir}

mv -f $RPM_BUILD_ROOT%{_datadir}/games/pingus $RPM_BUILD_ROOT%{_datadir}/pingus

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog CREDITS FAQ NEWS TODO THANKS
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man*/*
%{_infodir}/*.info*
%{_applnkdir}/Games/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pingus.spec,v $
Revision 1.21  2002/11/02 20:47:55  qboosh
- added info patch, release 4

Revision 1.20  2002/10/12 16:44:37  qboosh
- acfix patch with fixes for autoconf 2.5x
- gcc3 patch with ISO C++ fixes
- data-typos patch - fixes for three "404 File not found" textures
- removed obsolete libpng 1.2.2 hack, new %%doc
- added missing info page, release 3

Revision 1.19  2002/10/09 13:14:44  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/05/21 23:14:28  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/05/06 23:30:38  kloczek
- release 2: fix installing .dsktop file and .png icon for pingus.

Revision 1.16  2002/05/06 22:18:31  qboosh
- amfix patch needed for automake 1.6.x
- libpng 1.2.2 support, BR: libpng-devel (used through ClanLib's png provider)

Revision 1.15  2002/05/05 17:29:19  kloczek
- update to 0.5.0pre3,
- merge patch for building pingus against Clanlib 0.6.1 from Debaian (Clanlib-0.6.1 patch),
- added full regenerate ac/am files.

Revision 1.14  2002/04/21 08:15:29  qboosh
- rm -f missing, fix for libxml2 includes, but still doesn't build
  (ClanLib API has changed)

Revision 1.13  2002/02/23 04:17:27  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:35  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/08/13 19:52:33  kloczek
- release 2.

Revision 1.9  2001/08/10 18:26:59  jajcus
- another datadir hack (the last one didn't worked)

Revision 1.8  2001/08/10 15:54:39  jajcus
- target file names added to "install -D"

Revision 1.7  2001/08/10 15:50:37  jajcus
- install data files in proper location (%%{_datadir}/%%{name})

Revision 1.6  2001/08/10 13:26:26  kloczek
- added desktop fiel an png icon for pingus.

Revision 1.5  2001/08/10 12:40:25  jajcus
- Version: 0.5.0pre2
- spec changes for new autoconf

Revision 1.4  2001/05/28 23:06:07  kloczek
- fixed %setup but not compiles.

Revision 1.3  2001/05/28 14:38:02  alchemyx
- some fun with Source, beacause their CVS sux
- updated to 0.4.0

Revision 1.2  2001/04/29 11:47:19  misiek
more buildrequires and fixes. still nfy

Revision 1.1  2001/03/11 01:40:41  misiek
lemmings like game with penguins instead lemmings! Not finished since
it require CVS version of ClanLib (0.5)
